%define name kcpuload
%define version 1.90
%define release 1mdk

Summary: Small applet which displays cpu time for KDE kicker
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
This is a small program for the KDE Kicker (the startmenu). 
It will show the CPU usage in form of one or two configurable diagrams. 
There are settings for colors and some different styles. 
Note that it isn't the real system load that's shown, but the percent 
used of the total CPU power, which is calculated from the number of 
CPU ticks.

To bring up the settings menu, simply rightclick on the diagram.
Use a slower update interval to get a more stable and accurate 
diagram without flicker.

If there are more than one CPU on the system, the total CPU usage from 
both can be shown, or you can choose to have one separate diagram for
each of the CPU's. 
Leftclick on the diagram to bring up a small information box which will 
show the exact CPU usage in text form.


%prep
%setup

%build
./configure --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/lib --localstatedir=/var/lib --sharedstatedir=/usr/com --mandir=/usr/share/man --infodir=/usr/share/infoc --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
	needs="kde" \
	section="Applications/Monitoring" \
	title="%{name}" \
	longtitle="Small applet which displays cpu time for KDE kicker" \
	command="/usr/bin/%{name}" \
	icon=%{name}.png
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/apps/%{name}
%{_datadir}/icons/*/*/*/*
%{_menudir}/%{name}

%changelog
* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 1.90-1mdk
- Firt mdk release
